Skip to main content

 

OCLC Support

EZproxy v6.1.16 release notes

Release Date: June 2016

Operating System Requirements

EZproxy is supported under three different operating systems:

The supported versions of these operating systems along with their minimum hardware requirements can be found at EZproxy: Hardware and Operating System Requirements.

Recommended actions

For this release, we recommend that you review the following checklists and complete the relevant tasks. These checklists identify updates that we have determined as significant for most institutions. We encourage you to review all of the items in the release notes to determine whether there are other items that might require additional action or follow up by your institution.

Administrative actions

These items require immediate action or decisions.

Action

If you are upgrading from an EZproxy version earlier than V6.0, you will need to request an EZproxy Web Services Key (WSKey). To request a WSKey, you will need to have a current, annual subscription. EZproxy moved to the annual subscription model in July 2013, so if you purchased your EZproxy subscription prior to that time, you will need to update.

To purchase an annual subscription, you can request a quote, and you will be provided with a quote and information about how to subscribe. If you are uncertain if your subscription is current, please email orders@oclc.org.

If you have already upgraded to V6.x, your existing WSKey will work with this upgrade.

Review EZproxy and OpenSSL, especially if you are upgrading from a version older than V5.7.44. EZproxy V6.1.x has many security updates that may make previous configurations in your config.txt file unnecessary, and you can remove certain directives after installing V6.1.x.

 

New features and enhancements

Security Updates

Most Up-to-date Version of OpenSSL 1.0.2h

EZproxy v6.1.16 was build with OpenSSL 1.0.2h to provide access to the most up-to-date security configuration options (as of June 3, 2016).

Authentication

OKTA Integration

EZproxy v6.1.16 is now compatible and can be integrated with the OKTA identity management system for authentication purposes.

Important links

Product website

More product information can be found at: https://www.oclc.org/ezproxy.en.html

Support website(s)

Support information for this product and related products can be found at:

 

 

  • Was this article helpful?